mdtraj (1.10.3-2) unstable; urgency=medium

  * move pandoc to Build-Depends-Indep (for doc build)

 -- Drew Parsons <dparsons@debian.org>  Tue, 11 Feb 2025 12:33:09 +0100

mdtraj (1.10.3-1) unstable; urgency=medium

  * New upstream release
    - supports Numpy 2. Closes: #1094713.
  * debian patch revert_flaky_PR1972.patch reverts upstream PR#1972
    since pytest flaky support is flaky:
    "got an unexpected keyword argument 'condition'"
  * debian/tests: apply Restrictions: needs-internet only to dssp and
    pdb url tests that require internet to access datasources:
    test_3, test_pdb_from_url, test_1vii_url_and_gz

 -- Drew Parsons <dparsons@debian.org>  Tue, 11 Feb 2025 03:32:42 +0100

mdtraj (1.10.1-2) unstable; urgency=medium

  * Team upload.
  * d/control: Remove python3-astunparse from depedencies. It is not
    longer needed.

 -- Emmanuel Arias <eamanu@debian.org>  Mon, 11 Nov 2024 15:52:34 -0300

mdtraj (1.10.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * Update patches according to new upstream release:
    - d/patches/rename-mdconvert-mdtraj.patch.
    - d/patches/drop_notebook_in_docs.patch.
    - d/patches/test_increase_timeout.patch.
  * Remove patches, not longer needed:
    - d/patches/fix_netcdf_PR1894.patch.
    - d/patches/remove_six_PR1908.patch.
  * d/control: Add python3-versioneer, pandoc, python3-nbsphinx,
    python3-nbsphinx-link as build dependency.
    - Remove python3-astuparse, it is not longer needed.
  * d/control: Use cython3 instead of cython3-legacy (Closes: #1082092).

 -- Emmanuel Arias <eamanu@debian.org>  Sat, 09 Nov 2024 21:59:21 -0300

mdtraj (1.10.0-3) unstable; urgency=medium

  * only remove python3-specific mdtraj/core/lib (from libtheobald.a)
    if the excess dir exists (it's only left over if there is more
    than one supported python version). Closes: #1076166.

 -- Drew Parsons <dparsons@debian.org>  Sun, 14 Jul 2024 12:37:33 +0200

mdtraj (1.10.0-2) unstable; urgency=medium

  * debian patch remove_six_PR1908.patch applies upstream PR#1908 to
    remove remaining references to six.

 -- Drew Parsons <dparsons@debian.org>  Fri, 05 Jul 2024 18:32:59 +0200

mdtraj (1.10.0-1) unstable; urgency=medium

  * New upstream release
    - drops distutils. Closes: #1065901.
    - drops binpos and tng formats and utils/six.py
  * Build-Depends: (Recommends:) python3-gsd
    - drop debian patch test_gsd_skip.patch
  * debian patch fix_netcdf_PR1894.patch applies upstream PR#1894 to
    fix loading of netcdf files.
    Build-Depends: (Recommends): python3-netcdf4
  * remove python-specific path left by installation of static lib
    libtheobald.a. dh_python3 can't see the static libs are identical
    (mostly). py3.11 compiles libtheobald.o with -fwrapv, where
    py3.12 uses -fno-strict-overflow
  * build docs after dh_auto_install to avoid double-building
  * after dh_auto_clean, remove generated docs and lib
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Fri, 05 Jul 2024 02:19:44 +0200

mdtraj (1.9.9-1) unstable; urgency=medium

  * Team upload.
  * Switch to cython3-legacy.
    Closes: #1056815
  * Fix clean target
    Closes: #1045994
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Fix field name typo in debian/copyright (Comments ⇒ Comment).
  * Explicitly call dh_python3 in d/rules
  * d/rules: verbose
  * Fix capitalisation in description
  * Set hardening options
  * Manually remove copy of libtheobald.a in /usr/lib/python3.1*/dist-packages
  * Update python_hashbang.patch to replace all instances of /bin/env

 -- Andreas Tille <tille@debian.org>  Tue, 16 Jan 2024 11:14:21 +0100

mdtraj (1.9.7-6) unstable; urgency=medium

  * update debian patch test_relax_tol.patch to relax tolerance in
    periodic test in test_distances_t (test_distance.py).
    Was occasionally failing on arm64.

 -- Drew Parsons <dparsons@debian.org>  Wed, 01 Mar 2023 11:54:43 +0100

mdtraj (1.9.7-5) unstable; urgency=medium

  * debian patch python3.11_PR1758.patch adapts upstream PR1758 to fix
    build with python3.11. Also, skip test_image_molecules in
    debian/tests (segfaults). Closes: #1028995.
  * Standards-Version: 4.6.2

 -- Drew Parsons <dparsons@debian.org>  Wed, 18 Jan 2023 16:38:41 +0100

mdtraj (1.9.7-4) unstable; urgency=medium

  * debian/tests: add Restrictions: needs-internet
    (test_examples.py pulls a random PDB sample file from www.rcsb.org)
  * debian patch test_increase_timeout.patch increases TIMEOUT to
    180 sec in test_examples.py to allow for poor internet connections.
    Closes: #1009079.
  * Standards-Version: 4.6.1

 -- Drew Parsons <dparsons@debian.org>  Wed, 01 Jun 2022 18:02:27 +0200

mdtraj (1.9.7-3) unstable; urgency=medium

  * python3-mdtraj Depends: python3-astunparse
    - drop debian patch
      reinstate_astor_not_astunparse_revert_a8b2b9c.patch

 -- Drew Parsons <dparsons@debian.org>  Sun, 03 Apr 2022 18:41:47 +0200

mdtraj (1.9.7-2) unstable; urgency=medium

  * rename debian patch test_order_relax_tol.patch to
    test_relax_tol.patch and relax tolerance in test_distances_t
    (test_distance.py) to improve test relability on arm64.

 -- Drew Parsons <dparsons@debian.org>  Sun, 02 Jan 2022 22:11:24 +0100

mdtraj (1.9.7-1) unstable; urgency=medium

  * New upstream release.
    - applies debianpatch fix_notebook_PR1687.patch
  * add debian patches
    - docs_use_local_mathjax.patch uses local mathjax installation
      in order to preserve privacy
    - drop_notebook_in_docs.patch drops use of nbconvert in
      docs, because of the mistune error Bug#1002372.

 -- Drew Parsons <dparsons@debian.org>  Sat, 01 Jan 2022 19:16:35 +0100

mdtraj (1.9.6-3) unstable; urgency=medium

  * debian patch fix_notebook_PR1687.patch applies upstream PR#1687
    fixing notebook tests to work with latest jupyter

 -- Drew Parsons <dparsons@debian.org>  Fri, 12 Nov 2021 12:13:35 +0100

mdtraj (1.9.6-2) unstable; urgency=medium

  * allow for mathjax changes: latest.js no longer used.
    Closes: #997749.
  * call dh_numpy3 after dh_install
  * update debian/copyright
    - remove deprecated devtools/authors.py
    - acknowledge Robert T. McGibbon in mdtraj/formats/xtc/src

 -- Drew Parsons <dparsons@debian.org>  Sun, 31 Oct 2021 12:48:20 +0100

mdtraj (1.9.6-1) unstable; urgency=medium

  * New upstream release.
  * use triple-slash for mathjax reference in docs
  * Standards-Version: 4.6.0

 -- Drew Parsons <dparsons@debian.org>  Wed, 18 Aug 2021 16:05:50 +0200

mdtraj (1.9.5-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.5.1
  * debian/tests: skip nmr.ipynb, it requires SPARTA+ which is not
    available. Closes: #980050.

 -- Drew Parsons <dparsons@debian.org>  Mon, 18 Jan 2021 16:30:54 +1100

mdtraj (1.9.4+git20201015.068f29a-5) unstable; urgency=medium

  * debian patch rename-mdconvert-mdtraj.patch renames mdconvert to
    mdconvert-mdtraj to avoid filename conflict with mdconvert from
    the isync package. Closes: #973631.

 -- Drew Parsons <dparsons@debian.org>  Tue, 03 Nov 2020 16:07:00 +0800

mdtraj (1.9.4+git20201015.068f29a-4) unstable; urgency=medium

  * eliminate automated Testsuite: autopkgtest-pkg-python.
    Not compatible with incomplete built Architecture set (no armhf).

 -- Drew Parsons <dparsons@debian.org>  Sun, 01 Nov 2020 00:36:36 +0800

mdtraj (1.9.4+git20201015.068f29a-3) unstable; urgency=medium

  * set Architecture: any-amd64 arm64 i386 in debian/tests
    to match debian/control. Otherwise armhf failure prevents migration.

 -- Drew Parsons <dparsons@debian.org>  Fri, 30 Oct 2020 02:09:33 +0800

mdtraj (1.9.4+git20201015.068f29a-2) unstable; urgency=medium

  * add debian patches
    - 32bit_skip_image_molecule.patch skips test_image_molecules in
      test_trajectory.py on 32-bit systems to avoid segfault in
      image_molecule (see upstream Issue #1591)
    - test_order_relax_tol.patch relaxes absolute tolerance in
      test_order.py::test_directors_angle_from_traj to help i386 pass
      tests.
  * restrict python3-mdtraj Architecture: any-amd64 arm64 i386.
    mdtraj needs SSE2 or NEON. Closes: #972592.

 -- Drew Parsons <dparsons@debian.org>  Sat, 24 Oct 2020 12:34:12 +0800

mdtraj (1.9.4+git20201015.068f29a-1) unstable; urgency=medium

  * New upstream snapshot.
    - adds support for NEON (arm64)
  * Build-Depends-Indep: python3-ipykernel, python3-jupyter-client,
    python3-matplotlib, python3-six, python3-sklearn
    to build docs from examples. Closes: #972635.
  * set MPLCONFIGDIR to catch matplotlib output for examples in docs
    and fix doc access to generated image files
  * Remove local __pycache__ when running debian/rules clean
    (dh_auto_clean)
  * predownload .pdb files from http://www.rcsb.org/pdb/files and
    store in debian/external alongside doi badge
    (to enable doc build when internet is not available for build)
  * debian patch reinstate_astor_not_astunparse_revert_a8b2b9c.patch
    reverts upstream commit a8b2b9c to reinstate astor instead of
    astunparse (astunparse is not yet packaged for Debian)
  * create mdconvert.1, mdinspect.1 man pages using help2man

 -- Drew Parsons <dparsons@debian.org>  Fri, 23 Oct 2020 15:08:19 +0800

mdtraj (1.9.4-6) unstable; urgency=medium

  * debian patch check_sse2.patch checks if system supports SSE2
    (i.e. if system is x86 or amd64) before compiling with -msse2.
    Closes: #972592.
  * debian/tests Depends: python3-matplotlib, python3-sklearn

 -- Drew Parsons <dparsons@debian.org>  Wed, 21 Oct 2020 17:40:20 +0800

mdtraj (1.9.4-5) unstable; urgency=medium

  * python3-mdtraj Depends: python3-networkx, python3-pandas
  * debian/tests Depends: python3-ipykernel

 -- Drew Parsons <dparsons@debian.org>  Wed, 21 Oct 2020 10:14:47 +0800

mdtraj (1.9.4-4) unstable; urgency=medium

  * python3-mdtraj [Build-]Depends: python3-tables

 -- Drew Parsons <dparsons@debian.org>  Wed, 21 Oct 2020 01:21:03 +0800

mdtraj (1.9.4-3) unstable; urgency=medium

  * python3-mdtraj Depends: python3-distutils
  * debian/tests Depends: python3-jupyter-client, python3-nbformat,
    python3-six

 -- Drew Parsons <dparsons@debian.org>  Tue, 20 Oct 2020 20:17:02 +0800

mdtraj (1.9.4-2) unstable; urgency=medium

  * Build-Depends: cython3 (>= 0.29~), python3-all-dev
  * build docs with default python, sphinx and
    Build-Depends-Indep: python3-msmb-theme,
     python3-nbconvert, python3-nbformat, python3-numpydoc

 -- Drew Parsons <dparsons@debian.org>  Tue, 20 Oct 2020 13:35:11 +0800

mdtraj (1.9.4-1) unstable; urgency=medium

  * Initial release (Closes: #962442)
  * create debian patches
    - build_dir_pybuild.patch adapts build scripts to allow for
      pybuild build dir.
    - python_hashbang.patch sets python hashbang to /usr/bin/python3
      in place of /bin/env python
    - test_gsd_skip.patch skips test_gsd.py in tests
      (the gsd module is not available, see RFP#966019)
  * privacy: use local copy of DOI badge
    doi-10.1016_j.bpj.2015.08.015-blue.svg in docs

 -- Drew Parsons <dparsons@debian.org>  Mon, 24 Aug 2020 14:05:10 +0800
